Please or Register to create posts and topics.

Found a temporary workaround for Prism with blender 3.2

I wrote this issue to Github as well: https://github.com/RichardFrangenberg/Prism/issues/36

Blender 3.2.2
Prism 1.3.0.83

It is unable to open Prism within blender 3.2 (As I remember, it was also impossible in 3.1, but I can't confirm)
Prism UI didn't show up in blender. Just a tab and nothing inside.
I looked into error message in blender console, turns out Prism only supports blender with Python version 3.7 or 3.9.
So I have found a way around:

(This is not a full fix, just a temporary solution.)

In blender installation folder, look for /blender/(version)/scripts/startup/PrismInit.py
(is Prism/Prism/Plugins/Apps/Blender/Integration/PrismInit.py in source code)

https://github.com/RichardFrangenberg/Prism/blob/development/Prism/Plugins/Apps/Blender/Integration/PrismInit.py

In line 44, change if sys.version_info[1] not in [7, 9]: to if sys.version_info[1] not in [7, 9, 10]:

(Re)start blender, Prism should work fine inside blender.

Again, this is **temporary fix. **

Thank you so much! This worked for me in Blender 3.3 as well. Now I can get back to my project without downgrading to Blender 2.80 😀